## golang-github-maxbrunsfeld-counterfeiter 6.12.0

=== debian/changelog ===
golang-github-maxbrunsfeld-counterfeiter (6.12.0-1) unstable; urgency=medium

  * Initial release (Closes: #1119709)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 30 Oct 2025 18:08:23 -0400
