=== debian/control ===
Source: golang-github-maxbrunsfeld-counterfeiter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-golang-x-text-dev,
               golang-golang-x-tools-dev,
               golang-gomega-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-maxbrunsfeld-counterfeiter
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-maxbrunsfeld-counterfeiter.git
Homepage: https://github.com/maxbrunsfeld/counterfeiter
XS-Go-Import-Path: github.com/maxbrunsfeld/counterfeiter/v6

Package: golang-github-maxbrunsfeld-counterfeiter-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-text-dev,
         golang-golang-x-tools-dev,
         golang-gomega-dev,
         ${misc:Depends},
Description: Go library and generator for test doubles (development files)
 This package contains the source code and generator tooling for
 counterfeiter, a utility that automatically generates fake implementations
 of Go interfaces for use in unit tests.
 .
 The generated fakes are type-safe, record invocation arguments, and
 support return value stubbing. This package is useful for Go developers
 who want to integrate counterfeiter into their build process via
 `go generate`.
 .
 This is the development package; end users typically want the
 `counterfeiter` binary package.
 
Package: counterfeiter
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Tool for generating type-safe test doubles in Go
 Counterfeiter generates self-contained, type-safe fake implementations
 (test doubles) for Go interfaces. It is particularly useful in unit
 testing to create mocks without manual boilerplate.
 .
 The tool integrates seamlessly with `go generate` and supports both
 local and third-party interfaces. Generated fakes record call history
 and allow stubbing return values, making them ideal for behavior-driven
 testing with frameworks like Ginkgo or Go's standard testing package.
 .
 This package provides the `counterfeiter` binary and is intended for
 use in Go development environments.
