=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := type_aliases

execute_before_dh_auto_install:
	mv -v _build/bin/v6 _build/bin/counterfeiter

%:
	dh $@ --builddirectory=_build --buildsystem=golang
